# Poco::Util::Units::Units

# class Prefix

Library: Util
Package: Units
Header: Poco/Util/Units.h

## Description

Parent class for unit prefixes. Use classes inheriting from this class to scale the values.

## Inheritance

Known Derived Classes: Poco::Util::Units::Values::deca, Poco::Util::Units::Values::hecto, Poco::Util::Units::Values::kilo, Poco::Util::Units::Values::mega, Poco::Util::Units::Values::giga, Poco::Util::Units::Values::tera, Poco::Util::Units::Values::peta, Poco::Util::Units::Values::exa, Poco::Util::Units::Values::zetta, Poco::Util::Units::Values::yotta, Poco::Util::Units::Values::deci, Poco::Util::Units::Values::centi, Poco::Util::Units::Values::milli, Poco::Util::Units::Values::micro, Poco::Util::Units::Values::nano, Poco::Util::Units::Values::pico, Poco::Util::Units::Values::femto, Poco::Util::Units::Values::atto, Poco::Util::Units::Values::zepto, Poco::Util::Units::Values::yocto

## Member Summary

Member Functions: addPrefix, addUnit, value

## Constructors

### Prefix

template < typename T > Prefix(
const T & val,
double multiplier = 1,
const std::string & prefix = ""
);

## Member Functions

### addPrefix

void addPrefix(
std::ostream & os
) const;

### addUnit

void addUnit(
std::ostream & os
) const;

### value

double value() const;